can't get gateway to boot on a9 N3DS 11.0

Discussion in '3DS - Flashcards & Custom Firmwares' started by gohan127, Jun 13, 2016.

  1. gohan127
    OP

    gohan127 Member

    Newcomer
    34
    3
    Jun 10, 2016
    United States
    Good evening everyone, i decided to modify my N3ds with a9 and gateway, as most people recommended to install a9 and then use gateways armloader i tried doing that. i now have a fully working A9 N3ds with latest firmware thanks to Plailect's guide! but now that i replaced the arm9loaderhax.bin it just boots to a black screen. so i put the original Plailect arm9loaderhax.bin back and everything works again. when i boot into the homebrew channel using the homebrew channel cia the gateway.x3ds again results in black screen. i also noticed the apps in the homebrew fail to download the payloads and emunand wont boot from there (i can still boot emunand tool from a9 key shortcut).

    is it normal to get black screen on a9 when trying to boot gateway? and why do half the apps stop working in the homebrew channel when you're on a9?
     


  2. aos10

    aos10 look at me,shitposting about GW,i am so cool

    Member
    2,828
    635
    Apr 10, 2012
    Saudi Arabia
    Don't replace the loader in the root
    Gw loader should be inside luma3ds folder inside payload folder with emunand9 and other loader
    and rename it to up_GW.bin or any button you want.
     
  3. gohan127
    OP

    gohan127 Member

    Newcomer
    34
    3
    Jun 10, 2016
    United States
    ah! thanks!
    ok, I put it in the luma\payloads folder and renamed it as you said but now when i press up and it loads that payload it stays on a black screen again
     
  4. Jiro2

    Jiro2 GBAtemp Advanced Fan

    Member
    757
    184
    Mar 28, 2011
    United States
    If you have EmuNAND and deleted it, you have to have deleted it using the tools, you can't just remove the partition from the SD card. If you do, Gateway won't boot.
     
  5. Temarile

    Temarile (ノ◕ヮ◕)ノ*:・゚✧ A9LH ✧゚・: *ヽ(◕ヮ◕ヽ)

    Member
    1,132
    421
    Jan 7, 2016
    Netherlands
    You also need toe Launcher.dat file from the Gateway website in the root of your sd card, besides the arm9loaderhax.bin in the luma/payloads folder.
     
  6. gohan127
    OP

    gohan127 Member

    Newcomer
    34
    3
    Jun 10, 2016
    United States
    judging from the other posts i just saw coming by, i have a9 v2 of course as the guide was already updated when i used it. it is not supposed to work with the gateway payload :-( i hope gw updates their payload soon.. ... soon...

    i did accidentally wipe my entire drive (cc cleaner) and forgot to backup the a9 files, i guess i got to start all over now.
     
  7. gohan127
    OP

    gohan127 Member

    Newcomer
    34
    3
    Jun 10, 2016
    United States
    OK, guys, this thing got me confused now. ever since i got A9 gateway allways gives me a black screen! entry from loader or from x3ds file both give the same results. i tried:
    -deleting the EMUNAND partition completly
    -replace the 4.0 launcher.dat for the one from 3.7
    -use the homebrew files from the 4.0 beta rather then the starter.zip
    -then used CC cleaner (3pases) to wipe all data and put a clean emunand back.
    -recovered old GW emunands, they boot only if i use a CFW.
    booting gateway still results in a black screen. a9 is nice but i want my gateway back!
     
  8. Tiibz

    Tiibz GBAtemp Regular

    Member
    119
    18
    Aug 22, 2014
    France
    You'll have to install A9LH v1 since v2 is not compatible.
    You can't boot GW.3dsx unless you are on 9.2 sysnand and you are on 11.0 so no good
     
  9. Emenaria

    Emenaria GBAtemp Regular

    Member
    187
    98
    Nov 6, 2015
    Is it possible to downgrade A9LH from v2 to v1?
    After I had flashed A9LH v2, I tried to flash A9LH v1 using SafeA9LHInstaller 1.5.2, and it gave me this error: "the OTP hash or the NAND key sector\nare invalid"
    Does this mean that once you've used SafeA9LHInstaller v2.x to flash A9LH v2, then you will not be able to downgrade it to v1 using SafeA9LHInstaller v1.5.2?
     
    Last edited by Emenaria, Jun 15, 2016
  10. gohan127
    OP

    gohan127 Member

    Newcomer
    34
    3
    Jun 10, 2016
    United States
    ok, right after following Plailect my emunand was 11.0 so i used an old nand backup t go back to 9.2. gateway was still black screen all the time. now will a9lh v2 make all GW entrees go black or only the x3ds+payload entrees?
     
  11. Tiibz

    Tiibz GBAtemp Regular

    Member
    119
    18
    Aug 22, 2014
    France
    You need to uninstall v2 with SafeA9LHInstaller v2 then use the v1 payload and files and install with SafeA9LHInstaller v1
     
  12. Emenaria

    Emenaria GBAtemp Regular

    Member
    187
    98
    Nov 6, 2015
    Thanks, but there's something I'd like to confirm. If I uninstall A9LH v2 when my SysNAND is 11.0, doesn't it make the console unhackable? (Because after uninstalling A9LH, I suppose the console can't launch arm9loaderhax.bin anymore when booting.)
    Maybe I have to downgrade my sysnand to 9.2 first, get into the Homebrew Launcher and uninstall A9LH v2 with SafeA9LHInstaller v2.x(.3dsx), install A9LH v1 with SafeA9LHInstaller v1.x(.3dsx), and then update sysnand back to 11.0?
     
  13. Tiibz

    Tiibz GBAtemp Regular

    Member
    119
    18
    Aug 22, 2014
    France
    Yes, i'm sorry i didn't notice you were on 11.0 sysnand. You are correct you need to Go to 9.2 before anything.
    Also, a simple solution is that you restore your pre-A9LH sysnand backup that you normally did before the 2.1 downgrade
     
    Emenaria likes this.
  14. Temptress Cerise

    Temptress Cerise Miss Magic~ <3

    Member
    2,181
    1,417
    May 1, 2016
    United States
    Like to add that SafeA9LHInstaller v2 won't let you uninstall A9LH if you are on 11.0.
     
    Emenaria likes this.
  15. Tiibz

    Tiibz GBAtemp Regular

    Member
    119
    18
    Aug 22, 2014
    France
    Oh and final reminder, don't use v2 files ( payloads, firm0, firm1, etc...) with the v1 installer !

    — Posts automatically merged - Please don't double post! —

    I didn't know that, that's neat !
     
  16. Thelonewolf88

    Thelonewolf88 GBAtemp Regular

    Member
    128
    67
    Jun 11, 2016
    United States
    Reflash you're sysNand_original.bin i.e 9.2 without keeping a9lh in D9. Then start again with the a9lh install. You can skip parts like dg to 2.1 since you have the otp already.

    But make sure you use safea9lhinstaller 1.5x with V1 stage payloads.

    There are other quicker ways to go back to v1, but don't piss about if you are not sure or don't have a hard mod. Once a9lh is installed it should not be tinkered with really.
     
    Last edited by Thelonewolf88, Jun 15, 2016
    Quantumcat and Emenaria like this.
  17. Emenaria

    Emenaria GBAtemp Regular

    Member
    187
    98
    Nov 6, 2015
    Thanks a lot! I restored my pre-A9LH 9.2 Sysnand(sysNAND_original.bin) and managed to reinstall A9LH v1, worked like a charm!
     
    Last edited by Emenaria, Jun 15, 2016
    Quantumcat and Thelonewolf88 like this.
  18. Tiibz

    Tiibz GBAtemp Regular

    Member
    119
    18
    Aug 22, 2014
    France
    [​IMG]
     
  19. TheBroCode

    TheBroCode GBAtemp Regular

    Member
    166
    34
    Oct 31, 2012
    Where and what are the files for A9LH v1? I've been following Plailect's guide which only links to the current versions (I think)
     
  20. TheBroCode

    TheBroCode GBAtemp Regular

    Member
    166
    34
    Oct 31, 2012
    I will follow this and hope for the best >_<